"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getCSSModuleLocalIdent = _interopRequireDefault(require("react-dev-utils/getCSSModuleLocalIdent"));

var _paths = _interopRequireWildcard(require("react-scripts/config/paths"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line import/no-extraneous-dependencies
const src = `${process.cwd()}/src`;
const {
  env: {
    NODE_ENV
  }
} = process;
const publicPath = NODE_ENV === 'production' ? _paths.default.servedPath : '/';
var _default = {
  only: [`${src}/**/*.js`],
  ignore: [`${src}/**/*.spec.js`, `${src}/**/*.test.js`, `${src}/**/*.web.js`, `${src}/setupProxy.js`, `${src}/setupTests.js`],
  presets: [['@babel/preset-env', {
    targets: {
      node: 'current'
    },
    ignoreBrowserslistConfig: true
  }], ['@babel/preset-react', {
    development: ['development', 'test'].includes(NODE_ENV),
    useBuiltIns: true
  }]],
  plugins: [['@babel/plugin-proposal-class-properties', {
    loose: true
  }], ['transform-dynamic-import'], ['extension-resolver', {
    extensions: _paths.moduleFileExtensions.map(ext => `.${ext.replace(/web\./u, 'node.')}`)
  }], ['css-modules-transform', {
    extensions: ['.module.css', '.module.scss'],
    generateScopedName: (localName, resourcePath) => (0, _getCSSModuleLocalIdent.default)({
      resourcePath
    }, '[hash:base64]', localName, {})
  }], ['file-loader', {
    outputPath: null,
    publicPath: `${publicPath}static/media`,
    name: '[name].[hash:8].[ext]',
    extensions: ['bmp', 'gif', 'jpeg', 'jpg', 'png'],
    limit: 10000
  }], ['file-loader', {
    outputPath: null,
    publicPath: `${publicPath}static/media`,
    name: '[name].[hash:8].[ext]',
    extensions: ['svg']
  }, 'file-loader-for-svgs']],
  env: {
    production: {
      plugins: [['transform-react-remove-prop-types', {
        removeImport: true
      }], ['universal-dotenv']]
    }
  }
};
exports.default = _default;
//# sourceMappingURL=babel.config.js.map