"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = build;

var _path = _interopRequireDefault(require("path"));

var _listr = _interopRequireDefault(require("listr"));

var _execa = _interopRequireDefault(require("execa"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function build({
  web = true,
  node = true
} = {}) {
  return new _listr.default([{
    title: 'node',
    skip: () => !node,
    task: () => (0, _execa.default)('babel', ['src', '--out-dir', 'lib', '--config-file', _path.default.resolve(__dirname, 'babel.config.js'), '--copy-files', '--delete-dir-on-start', '--no-babelrc', '--source-maps', '--verbose'], {
      env: { ...process.env,
        NODE_ENV: 'production'
      }
    })
  }, {
    title: 'web',
    skip: () => !web,
    task: () => (0, _execa.default)('react-scripts', ['build', '--color'], {
      env: { ...process.env,
        SKIP_PREFLIGHT_CHECK: true
      }
    })
  }], {
    renderer: process.env.NODE_ENV === 'test' ? 'silent' :
    /* istanbul ignore next */
    'default',
    exitOnError: false,
    concurrent: true
  }).run([]);
}
//# sourceMappingURL=react-node-scripts-build.js.map