#!/usr/bin/env node

/* istanbul ignore file */
"use strict";

var _updateNotifier = _interopRequireDefault(require("update-notifier"));

var _commander = require("commander");

var _package = _interopRequireDefault(require("../package"));

var _reactNodeScriptsBuild = _interopRequireDefault(require("./react-node-scripts-build"));

var _reactNodeScriptsStart = _interopRequireDefault(require("./react-node-scripts-start"));

var _reactNodeScriptsTest = _interopRequireDefault(require("./react-node-scripts-test"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _updateNotifier.default)({
  pkg: _package.default
}).notify();
let action;
const program = new _commander.Command().version(_package.default.version);
program.command('build').option('--no-web').option('--no-node').action((...args) => {
  action = () => (0, _reactNodeScriptsBuild.default)(...args);
});
program.command('start').option('--mongod').option('--redis').option('--ngrok').option('--no-web').option('--no-node').action((...args) => {
  action = () => (0, _reactNodeScriptsStart.default)(...args);
});
program.command('test [args...]').action((...args) => {
  action = () => (0, _reactNodeScriptsTest.default)(...args);
});
program.parse(process.argv);
action().catch(err => {
  /* eslint-disable-line promise/prefer-await-to-callbacks */
  const queue = [err];

  while (queue.length) {
    const currentErr = queue.shift();

    if (currentErr.errors) {
      queue.push(...currentErr.errors);
    } else if (currentErr.all) {
      console.log(currentErr.all);
      /* eslint-disable-line no-console */
    } else if (currentErr.stderr) {
      console.error(currentErr.stderr);
      /* eslint-disable-line no-console */
    } else if (currentErr.stdout) {
      console.log(currentErr.stdout);
      /* eslint-disable-line no-console */
    } else if (currentErr.message !== 'Staged Failed') {
      console.error(currentErr);
      /* eslint-disable-line no-console */
    }
  }

  process.exit(1);
});
//# sourceMappingURL=react-node-scripts.js.map